Skip to main content
GET
/
admin
/
views
/
{entity}
/
columns
cURL
curl '{backend_url}/admin/views/{entity}/columns' \
-H 'Authorization: Bearer {jwt_token}'
{
  "columns": [
    {
      "id": "<string>",
      "name": "<string>",
      "field": "<string>",
      "sortable": true,
      "hideable": true,
      "default_visible": true,
      "data_type": "string",
      "description": "<string>",
      "semantic_type": "<string>",
      "context": "<string>",
      "computed": {
        "type": "<string>",
        "required_fields": [
          "<string>"
        ],
        "optional_fields": [
          "<string>"
        ]
      },
      "relationship": {
        "entity": "<string>",
        "field": "<string>"
      },
      "default_order": 123,
      "category": "status"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity
string
required

The entity to retrieve its columns (for example, orders)

Response

OK

The view's columns.

columns
object[]
required

The view's columns.